Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Class CallCenterStatMP

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.ctmc.CallCenterStatMP

    public class CallCenterStatMP

extends Object

Provides a merged view of several single-period `CallCenterStat` instances. More specifically, for each supported type of performance measure, a matrix of tallies resulting from the concatenation of all single-column matrices concerning the same type of performance measure can be obtained through this object. An object of this class is constructed using an array of `CallCenterStat` instances. Any update to these sets of statistical probes are reflected on the merged view. Matrices of statistical probes regrouping statistics for each separate period, for a given type of performance measure, can be obtained by using the method `getMatrixOfStatProbes(PerformanceMeasureType)`.

Constructor Summary
`CallCenterStatMP()`
`CallCenterStatMP(CallCenterCTMC[] ctmc, CallCenterStat[] ccStat)` Constructs a new set of statistical probes from the given (P + 1)-dimensional arrays of CTMCs and period-specific statistical counters.

Method Summary
`void` | `formatReport(Map<String,Object> evalInfo, double[] numExpectedTransitions)` Adds statistical information about the number of transitions during each period to a map of evaluation information.
`Map<PerformanceMeasureType,MatrixOfStatProbes<?>>` | `getMatricesOfStatProbes()`
`MatrixOfStatProbes<?>` | `getMatrixOfStatProbes(PerformanceMeasureType m)`
`PerformanceMeasureType[]` | `getPerformanceMeasures()`
`void` | `init()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallCenterStatMP

    public CallCenterStatMP()

### CallCenterStatMP

    public CallCenterStatMP(CallCenterCTMC[] ctmc,
                            CallCenterStat[] ccStat)

  Constructs a new set of statistical probes from the given (P + 1)-dimensional arrays of CTMCs and period-specific statistical counters. The last element of `ctmc` corresponds to the CTMC for the wrap-up period while the last element of `ccStat` contains the collectors concerning the complete horizon. All other elements concern a specific main period.

  Parameters:
    `ctmc` - the array of CTMCs.
    `ccStat` - the array of statistical probes.

Method Detail

### getPerformanceMeasures

    public PerformanceMeasureType[] getPerformanceMeasures()

### getMatricesOfStatProbes

    public Map<PerformanceMeasureType,MatrixOfStatProbes<?>> getMatricesOfStatProbes()

### getMatrixOfStatProbes

    public MatrixOfStatProbes<?> getMatrixOfStatProbes(PerformanceMeasureType m)

### init

    public void init()

### formatReport

    public void formatReport(Map<String,Object> evalInfo,
                             double[] numExpectedTransitions)

  Adds statistical information about the number of transitions during each period to a map of evaluation information. Usually, the map is obtained using `ContactCenterEval.getEvalInfo()`, and generated information is displayed in reports produced by a simulator.

  Parameters:
    `evalInfo` - the evaluation information.
    `numExpectedTransitions` - the expected number of transitions, for each period.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.